#
# spec file for package python-toml
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-toml
Version:        0.9.2
Release:        2.1
Url:            https://github.com/uiri/toml
Summary:        Python module which parses and emits TOML
License:        MIT
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/t/toml/toml-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{python_module base}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  coreutils
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-coverage
BuildArch:      noarch

%python_subpackages

%description
Python toml allows to parse and create toml configuration files.
See below the toml specification link.

Usage
toml.loads --- takes a string to be parsed as toml and returns
the corresponding dictionary
toml.dumps --- takes a dictionary and returns a string which
is the contents of the corresponding toml file.

There are other functions which can be used to dump and load various
fragments of toml but dumps and loads will cover most usage.

Current Version of TOML Specification
https://github.com/mojombo/toml/blob/v0.4.0/README.md

%prep
%setup -q -n toml-%{version}

%build
%python_build

%install
%python_install
%fdupes %{buildroot}%{_prefix}

%check
# no tests available
#%%python_exec setup.py test

%files %{python_files}
%defattr(-,root,root)
%doc LICENSE README.rst
%{python_sitelib}

%changelog
* Fri Jul 28 2017 bruno@ioda-net.ch
- Fix define line for build on Leap
* Wed Jun  7 2017 bruno@ioda-net.ch
- Move to singlespec packaging
- Update copyright year
- Add fdupes
* Tue Sep 20 2016 arun@gmx.de
- specfile:
  * update copyright year
- update to version 0.9.2:
  * Use xrange (_range) in Python 2.
  * Prefix internal object/function names with an underscore.
  * Fix candidate groups handling.
  * Fix digit matching.
  * Fix usage of isdigit.
  * Optimize use of regexps (precompile, single-regexp substitution)
  * Fix code style.
  * Peephole optimizations.
  * Merge #51: Do not raise base Exception.
  * Remove dead code.
  * Fix inadvertently broken long integer test
  * s.decode should assign its result to s.
  * Remove unnecessary indent level/else branches
  * Fix #43 by adding Z timezone. tzinfos don't do DST
  * Fix UTC offsets specified as hours and minutes
  * update test command
  * add travis testing
  * Update copyright notice. Update toml-test repo in README
  * Close #42 and simplify. Manual testing shows this works.
  * Support } whithin string in inline objects within arrays
  * Remove test toml files
  * Clean load_inline_objects
  * fix for array in inlinetable
  * Handle commas inside strings within inline objects
  * Fix multiline-string and raw-multiline-string tests
  * Fix key-equals-nospace test
  * Add support for inline objects inside arrays
  * Add support for inline objects
* Sun May  8 2016 arun@gmx.de
- specfile:
  * changed to https for source url
  * updated source url to files.pythonhosted.org
* Wed Aug 19 2015 bruno@ioda-net.ch
- Initial packaging on obs for python3
  changes are stored in README.rst
